XmObjectAtPoint(library call)

NAME
XmObjectAtPoint — A toolkit function that determines which child intersects or comes closest to a specified point

SYNOPSIS

#include <Xm/Xm.h>
Widget XmObjectAtPoint(
Widget widget,
Position x,
Position y);

DESCRIPTION

XmObjectAtPoint searches the child list of the specified manager widget and returns the child most closely associated with the specified x,y coordinate pair.

For the typical Motif manager widget, XmObjectAtPoint uses the following rules to determine the returned object:

•   If one child intersects x,y, XmObjectAtPoint returns the widget ID of that child.

•   If more than one child intersects x,y, XmObjectAtPoint returns the widget ID of the visible child.

•   If no child intersects x,y, XmObjectAtPoint returns NULL.

The preceding rules are only general. In fact, each manager widget is free to define "most closely associated" as it desires. For example, if no child intersects x,y, a manager might return the child closest to x,y.

widget
    Specifies a manager widget.

x   Specifies the x-coordinate about which you are seeking child information. The x-coordinate must be specified in pixels, relative to the left side of manager.

y   Specifies the y-coordinate about which you are seeking child information. The y-coordinate must be specified in pixels, relative to the top side of manager.

RETURN

Returns the child of manager most closely associated with x,y. If none of its children are sufficiently associated with x,y, returns NULL.

RELATED

XmManager(3).